Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## charva.awt
Class ColorPair

    java.lang.Object
      charva.awt.ColorPair

public class ColorPair
extends java.lang.Object

This class is used to represent a color-pair (a combination of a foreground color and a background color).

Constructor Summary
`ColorPair(Color foreground_, Color background_)` Construct a color-pair from a foreground color and a background color.

Method Summary
`boolean` | `equals(java.lang.Object object_)` Returns true if this color pair is equal to the specified color pair.
`int` | `getBackground()`
`int` | `getForeground()`
`void` | `setBackground(int color_)` Set the background color.
`void` | `setForeground(int color_)` Set the foreground color.
`java.lang.String` | `toString()` Return a string representation of this object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ColorPair

    public ColorPair(Color foreground_,
                     Color background_)

  Construct a color-pair from a foreground color and a background color. The parameters must be fields of the Color class.

Method Detail

### equals

    public boolean equals(java.lang.Object object_)

  Returns true if this color pair is equal to the specified color pair.

### getForeground

    public int getForeground()

### getBackground

    public int getBackground()

### setForeground

    public void setForeground(int color_)

  Set the foreground color. The parameter must be a field of the Color class.

### setBackground

    public void setBackground(int color_)

  Set the background color. The parameter must be a field of the Color class.

### toString

    public java.lang.String toString()

  Return a string representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD